Bug 248184 - adminserver: The config CGI program does not preserve Listen IP addr
Summary: adminserver: The config CGI program does not preserve Listen IP addr
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Admin   
(Show other bugs)
Version: 1.1.0beta
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-07-13 19:14 UTC by Rich Megginson
Modified: 2015-12-07 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:38:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diffs (3.87 KB, patch)
2007-07-13 19:14 UTC, Rich Megginson
no flags Details | Diff

Description Rich Megginson 2007-07-13 19:14:32 UTC
The format of the Listen directive in console.conf is
Listen IPaddr:portnum

The config CGI used by the console and setup does not preserve the IPaddr in all
cases.

Comment 1 Rich Megginson 2007-07-13 19:14:32 UTC
Created attachment 159232 [details]
diffs

Comment 2 Noriko Hosoi 2007-07-13 19:39:15 UTC
Looks good to me.

Comment 3 Rich Megginson 2007-07-13 19:48:06 UTC
Checking in adminserver/admserv/cgi-src40/config.c;
/cvs/dirsec/adminserver/admserv/cgi-src40/config.c,v  <--  config.c
new revision: 1.13; previous revision: 1.12
done

Reviewed by: nhosoi (Thanks!)
Fix Description: Move the existing code into a new function.  This function will
set the Listen directive IP and port, preserving any existing values.
Platforms tested: RHEL4, FC6
Flag Day: no
Doc impact: no


Comment 4 Anh Nguyen 2007-12-11 20:08:50 UTC
Verified.


Note You need to log in before you can comment on or make changes to this bug.